# ENTITY_ATTR_TYPE Struct Reference

`#include <entity_types.hpp>`

List of all members.

## Public Attributes
std::string | adaptorName
std::map< std::string, ENTITY_ATTR_MAP_TYPE > | attrs
std::multimap< std::string, ENTITY_RELATIONSHIP_TYPE > | relatedEntities

## Member Data Documentation

std::string ENTITY_ATTR_TYPE::adaptorName

std::map<std::string, ENTITY_ATTR_MAP_TYPE> ENTITY_ATTR_TYPE::attrs

std::multimap<std::string, ENTITY_RELATIONSHIP_TYPE> ENTITY_ATTR_TYPE::relatedEntities

The documentation for this struct was generated from the following file:

- entity_types.hpp